#
#pragma ident	"@(#)sun-cluster-d.def	1.9	01/02/01 SMI"
#
# Copyright (c) 1999-2001 by Sun Microsystems, Inc.
# All rights reserved.
##
# cluster/src/scsymon/cfg/modules/sun-cluster-d.def
#

#
# Sun Cluster alarm definition file 
#

nodeBranch = {
	statusFolder = {
		nodeTable = {
			nodeTableEntry = {
				status = {
					errorMessage = "Error"
					warningMessage = "Warning"
					infoMessage = "Info"
					alarmlimit:error-rx() = Faulted|faulted|Offline|offline
					alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
					alarmlimit:info-rx() = "Wait|wait|Not Monitored|not monitored"
				}
			}
		}
	}
}

deviceGroupBranch = {
	statusFolder = {
		deviceGroupTable = {
			deviceGroupTableEntry = {
				status = {
					errorMessage = "Error"
					warningMessage = "Warning"
					infoMessage = "Info"
					alarmlimit:error-rx() = Faulted|faulted
					alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
					alarmlimit:info-rx() = "Wait|wait|Not Monitored|not monitored"
				}
			}
		}
	}
}

quorumDeviceBranch = {
	statusFolder = {
		quorumDeviceTable = {
			quorumDeviceTableEntry = {
				status = {
					errorMessage = "Error"
					warningMessage = "Warning"
					infoMessage = "Info"
					alarmlimit:error-rx() = Faulted|faulted
					alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
					alarmlimit:info-rx() = "Offline|offline|Wait|wait|Not Monitored|not monitored"
				}
			}
		}
	}
}

transportBranch = {
	statusFolder = {
		pathTable = {
			pathTableEntry = {
				status = {
					errorMessage = "Error"
					warningMessage = "Warning"
					infoMessage = "Info"
					alarmlimit:error-rx() = Faulted|faulted
					alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
					alarmlimit:info-rx() = "Offline|offline|Wait|wait|Not Monitored|not monitored"
				}
			}
		}
	}
}

rgBranch = {	
	statusFolder = {
		FailoverRGBranch = {
			rgStatusTable = {
				rgStatusTableEntry = {
					rgState	= {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = "Error--stop failed|error--stop failed"
						alarmlimit:warning-rx() = Unknown|unknown
						alarmlimit:info-rx() = "Offline|offline|Pending online|pending online|Pending offline|pending offline|Unmanaged|unmanaged"
					}
				}
			}

			rsStatusTable = {
				rStatusTableEntry = {
					rsFMStatus	= {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = Faulted|faulted
						alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
						alarmlimit:info-rx() = "Offline|offline|Wait|wait|Not Monitored|not monitored"
					}

					rsRGMState = {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = "Stop failed|stop failed|Start failed|start failed"
						alarmlimit:warning-rx() = "Monitor failed|monitor failed|Unknown|unknown"
						alarmlimit:info-rx() = "Offline|offline|Online but not monitored|online but not monitored|Detached|detached"
					}
				}
			}
		}
	} 

	statusFolder = {
		ScalableRGBranch = {
			rgStatusTable = {
				rgStatusTableEntry = {
					rgState	= {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = "Error--stop failed|error--stop failed"
						alarmlimit:warning-rx() = Unknown|unknown
						alarmlimit:info-rx() = "Offline|offline|Pending online|pending online|Pending offline|pending offline|Unmanaged|unmanaged"
					}
				}
			}

			rsStatusTable = {
				rStatusTableEntry = {
					rsFMStatus	= {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = Faulted|faulted
						alarmlimit:warning-rx() = Degraded|degraded|Unknown|unknown
						alarmlimit:info-rx() = "Offline|offline|Wait|wait|Not Monitored|not monitored"
					}

					rsRGMState = {
						errorMessage = "Error"
						warningMessage = "Warning"
						infoMessage = "Info"
						alarmlimit:error-rx() = "Stop failed|stop failed|Start failed|start failed"
						alarmlimit:warning-rx() = "Monitor failed|monitor failed|Unknown|unknown"
						alarmlimit:info-rx() = "Offline|offline|Online but not monitored|online but not monitored|Detached|detached"
					}
				}
			}
		}
	} 

}
